package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"

	"xorm.io/xorm"
)

// 通过文件名目录与文件名查找文件
func FileGetByPFidAndName(Db *xorm.Engine, dirId, fname string) (*model.SysFile, error) {
	var f model.SysFile
	if has, err := Db.Where("parent_fid = ? AND show_name = ?", dirId, fname).Get(&f); !has || err != nil {
		return nil, logx.Warn(err)
	}
	return &f, nil
}

// 插入文件信息
func FileInsert(Db *xorm.Engine, f *model.SysFile) error {
	if _, err := Db.InsertOne(f); err != nil {
		return logx.Warn(err)
	}
	return nil
}

// 文件信息更新
func FileUpdate(Db *xorm.Engine, f *model.SysFile) error {
	if _, err := Db.Where("`fid` = ?", f.Fid).Update(f); err != nil {
		return logx.Warn(err)
	}
	return nil
}
